Bug 219853 - Better error code handling in proxy
Summary: Better error code handling in proxy
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Certificate System
Classification: Red Hat
Component: Auto-Enrollment   
(Show other bugs)
Version: 7.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Matthew Harmsen
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 445047
TreeView+ depends on / blocked
 
Reported: 2006-12-15 19:09 UTC by Bob Lord
Modified: 2017-04-10 14:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-27 05:51:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Parkinson 2006-12-15 19:09:25 UTC
Need to improve error handling:

1) error codes need to be consistent.
Need to document all error codes.
Some error codes are negative and some cases are positive.
Sometimes windows errors are masked instead of reported.

2) errors can be more helpful, to give specific instruction in common
cases (e.g SSL cert name mismatch, and trust issues.

3) it may be appropriate for some errors to be reported to the enrollee.
for others, it may not

4) some failures should be reported at the failure level, so that windows
event logger (and 3rd party tools) will flag them appropriately.

5) If the CA refuses to issue the certificate, it will be returned in the
HTML response. We should parse and log this (and discard most of the rest of
the response.

6) I need to fill in the disposition code and disposition message appropriately.

Comment 1 Thomas Kwan 2007-03-29 22:18:04 UTC
Agreed to future

Comment 2 Red Hat Bugzilla 2007-11-05 04:17:36 UTC
User sparkins@redhat.com's account has been closed

Comment 3 Red Hat Bugzilla 2007-11-05 04:22:29 UTC
User sparkins@redhat.com's account has been closed


Note You need to log in before you can comment on or make changes to this bug.